#version 430 core

// Interpolated values from the vertex shaders
in vec2 UV;

// Ouput color
out vec4 color;

uniform sampler2D hudTexture;
uniform bool redText = false; //sets if text is red, white when false

void main(){
	
	//color the screen according to the texture
	vec4 textureColor = texture( hudTexture, UV );
	if(textureColor.rgb == vec3(0,0,0)){
		textureColor.a = 0;
	}
	if(redText){
		textureColor.g = 0;
		textureColor.b = 0;
	}
	color = textureColor;	
}